Subject: Re: [bug#37868] [PATCH] guix: Allow multiple packages to provide Linux modules in the system profile.

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 14 Nov 2019 17:21:16 +0100

Hi Ludo,

On Wed, 13 Nov 2019 14:30:56 +0100
Ludovic Courtès <[email-masked]> wrote:

> > * Why doesn't operating-system-profile successfully add linux-libre ?  
> 
> What do you mean?  Currently ‘linux-libre’ is not added to the global
> profile, and I think it’s nicer this way (we’re not clobbering the
> profile).

I've modified it to automatically add linux-libre to the system profile but it
doesn't work for some reason.

> > * Do we want to be able to add kernel modules in this fashion without requiring
> > a reboot?  If so, that would make the situation a lot more complicated and I
> > don't see a safe way to do that.  
> 
> If we arrange for those kernel modules to show up in
> /run/current-system/kernel as I suggested in the message linked above,
> it should work (assuming the running kernel and the target kernel are
> the same, of course).

Hmm... I'll read it now :)